## org.apache.lucene.index
Class TwoPhaseCommitTool.PrepareCommitFailException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.lucene.index.TwoPhaseCommitTool.PrepareCommitFailException

All Implemented Interfaces:
  Serializable

Enclosing class:
  TwoPhaseCommitTool

    public static class TwoPhaseCommitTool.PrepareCommitFailException

extends IOException

Thrown by `TwoPhaseCommitTool.execute(TwoPhaseCommit...)` when an object fails to prepareCommit().

See Also:
  Serialized Form

Constructor Summary
`TwoPhaseCommitTool.PrepareCommitFailException(Throwable cause, TwoPhaseCommit obj)` Sole constructor.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TwoPhaseCommitTool.PrepareCommitFailException

    public TwoPhaseCommitTool.PrepareCommitFailException(Throwable cause,
                                                         TwoPhaseCommit obj)

  Sole constructor.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.